Page MenuHomePhabricator

ChangesListSpecialPage backend: Respect saved query if no parameters
Closed, ResolvedPublic

Description

There is now a default saved query that can be saved in preferences. This is already supported on the frontend.

This provides a way to set defaults for all parameters, and do so as a single URL directly on the special page.

Respect this (if there are no parameters, as on the client-side).

It should do a 302 redirect to the actual parameters.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2017, 8:48 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 17 2017, 5:58 PM

Change 372572 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Convert saved queries from filters to parameters

https://gerrit.wikimedia.org/r/372572

Change 372573 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Load default saved query if it exists

https://gerrit.wikimedia.org/r/372573

SBisson assigned this task to Mooeypoo.Aug 22 2017, 1:05 PM
jmatazzoni removed SBisson as the assignee of this task.Sep 27 2017, 6:47 PM
jmatazzoni added a subscriber: SBisson.

Change 372572 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Convert saved queries from filters to parameters

https://gerrit.wikimedia.org/r/372572

Change 372573 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Load default saved query if it exists

https://gerrit.wikimedia.org/r/372573

Etonkovidova added a subscriber: Etonkovidova.EditedOct 6 2017, 11:25 PM

Checked in betalbs and wmf.3 - all seem to be normal.

Etonkovidova closed this task as Resolved.Oct 16 2017, 8:53 PM